import type { PropsPlugin } from '../../../../types/component-plugin';
import type { PopupUIProps } from '../types';

export function createPopupButtonTextPlugin(buttonText: string): PropsPlugin<PopupUIProps> {
  return (props) => ({
    ...props,
    buttonText,
  });
}

export function createPopupResultPlaceholderPlugin(
  resultPlaceholder: string,
): PropsPlugin<PopupUIProps> {
  return (props) => ({
    ...props,
    resultPlaceholder,
  });
}
